design activate flipflop

addfile -vhdl "./e_flipflop.vhd"
addfile -vhdl "./externalboard.vhd"
addfile -vhdl "./memctrlsdram_tb000.vhd"

acom -dbg -work flipflop "./e_flipflop.vhd"
acom -dbg -work flipflop "./externalboard.vhd"
acom -dbg -work flipflop "./memctrlsdram_tb000.vhd"

asim +access +r -acdb  -acdb_file ../SimReport_coverage/acdb_coverage.acdb -asdb ../SimReport_waveform/waveform.asdb -cc_all +m+MemCtrlSdram_tb000 MemCtrlSdram_tb000 a_Tb000
					 
					 

add wave {/MemCtrlsdram_tb000/ul_Clock_s}
add wave {/MemCtrlsdram_tb000/ul_Reset_s}										 
add wave -divider "---- Hierarchy ----"
add wave {/MemCtrlsdram_tb000/ExternalBoard_inst/FlipFlop/ulv32_DataIn_i}
add wave {/MemCtrlsdram_tb000/ExternalBoard_inst/FlipFlop/ulv32_DD_s}
add wave {/MemCtrlsdram_tb000/ExternalBoard_inst/FlipFlop/ulv32_DataOut_o}					

run 1 ms

echo "EXECUTION:: NOTE   : >>> END"


endsim

write awc ../SimReport_waveform/waveform